#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,l;
    scanf("%d",&n);

    scanf("%d",&l);

    int stalaktit[n];

    for(int i=0;i<n;i++){
        scanf("%d",&stalaktit[i]);
    }
    for(int i=0;i<n;i++){
        if(stalaktit[i]<=l){
            printf("\n%d",i+1);
            return 0;
        }
    }
    printf("\n-1");
    return 0;
}